Subject: Pluginizing QUIC

From: Quentin De Coninck <[email-masked]>
Date: Fri, 30 Aug 2019 13:36:59 +0000

Hi all,

We recently presented our paper "Pluginizing QUIC" at SIGCOMM this year. 
It explores, inter alia, how a client can  support on-the-fly new QUIC 
extensions (adding monitoring, multipath support, FEC-protected 
packets,...) on a given connection. This is achieved by dynamically 
injecting plugins in the host implementation. Plugins are bytecodes that 
implements specific features of QUIC mechanisms. Plugins can be 
exchanged over a QUIC connection.

The paper and our proof-of-concept implementation are available at

https://pquic.org

https://pquic.org/publications

Best regards,

Quentin De Coninck